Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.exchangegraph.nodes
Class XEGMeshNode

    java.lang.Object
      de.grogra.ext.exchangegraph.nodes.XEGMeshNode

    public class XEGMeshNode

extends java.lang.Object

Constructor Summary
`XEGMeshNode()`

Method Summary
`static void` | `createMeshNode(MeshNode node, java.util.List<java.lang.Integer> indices, java.util.List<java.lang.Float> coords, java.util.List<java.lang.Float> normals)`
`static void` | `handleExportProperties(Node node, de.grogra.ext.exchangegraph.xmlbeans.Node xmlNode)`
`static void` | `handleImportProperties(Node node, java.util.List<de.grogra.ext.exchangegraph.xmlbeans.Property> properties, java.util.List<de.grogra.ext.exchangegraph.xmlbeans.Property> handledProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XEGMeshNode

    public XEGMeshNode()

Method Detail

### createMeshNode

    public static void createMeshNode(MeshNode node,
                                      java.util.List<java.lang.Integer> indices,
                                      java.util.List<java.lang.Float> coords,
                                      java.util.List<java.lang.Float> normals)

### handleExportProperties

    public static void handleExportProperties(Node node,
                                              de.grogra.ext.exchangegraph.xmlbeans.Node xmlNode)

### handleImportProperties

    public static void handleImportProperties(Node node,
                                              java.util.List<de.grogra.ext.exchangegraph.xmlbeans.Property> properties,
                                              java.util.List<de.grogra.ext.exchangegraph.xmlbeans.Property> handledProperties)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD